VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IOptionMenuListener Class Referenceabstract
Version 4.7

Option menu listener. More...

Inheritance diagram for IOptionMenuListener:

## Public Member Functions
virtual void | onOptionMenuPrePopup (COptionMenu *menu)=0
| called before the menu pops up
virtual void | onOptionMenuPostPopup (COptionMenu *menu)=0
| called after the menu pops up
virtual bool | onOptionMenuSetPopupResult (COptionMenu *menu, COptionMenu *selectedMenu, int32_t selectedIndex)=0
| called when the platform optionmenu returns the result and before the value of the option menu is set.

## Detailed Description

Option menu listener.

## Member Function Documentation

virtual void onOptionMenuPostPopup | ( | COptionMenu * | menu | ) |
| pure virtual

called after the menu pops up

Implemented in OptionMenuListenerAdapter.

virtual void onOptionMenuPrePopup | ( | COptionMenu * | menu | ) |
| pure virtual

called before the menu pops up

Implemented in OptionMenuListenerAdapter.

The documentation for this class was generated from the following file:

- ioptionmenulistener.h